<?php
/**
 * Podcast player toolkit page
 *
 * @package Podcast Player
 * @since 3.3.0
 */

$feed_index = get_option( 'pp_feed_index' );
?>

<div class="pp-toolkit-page">
	<div class="pp-toolkit-wrapper">
		<h3 class="pp-toolkit-title">Feed Updation Tool</h3>
		<div class="pp-toolkit-content">
			<?php if ( $feed_index && is_array( $feed_index ) ) : ?>
				<?php
				$feed_index = array_merge(
					array( '' => esc_html__( 'Select a Feed to update / reset', 'podcast-player' ) ),
					$feed_index
				);
				?>
				<select id="pp-feed-index" name="pp-feed-index" class="select-pp-feed-index">
					<?php
					foreach ( $feed_index as $key => $label ) {
						echo '<option value="' . esc_attr( $key ) . '">' . esc_html( $label ) . '</option>';
					}
					?>
				</select>
				<h4 class="pp-index-optional" style="padding: 0 20px;"><?php esc_html_e( 'OR', 'podcast-player' ); ?></h4>
			<?php endif; ?>
			<input class="pp-toolkit-url" type="url" placeholder="Enter Your Feed URL" title="Feed Editor">
			<button class="pp-toolkit-buttons pp-feed-refresh button">
				<span class="dashicons dashicons-update"></span>
				<span class="pp-toolkit-btn-text">Update Feed</span>
			</button>
			<button class="pp-toolkit-buttons pp-feed-reset button">
				<span class="dashicons dashicons-trash"></span>
				<span class="pp-toolkit-btn-text">Reset Feed</span>
			</button>
			<div class="pp-toolkit-feedback">
				<span class="dashicons dashicons-update"></span>
				<span class="dashicons dashicons-no"></span>
				<span class="dashicons dashicons-yes"></span>
				<span class="pp-feedback"></span>
			</div>
		</div>
	</div>
</div>
