<?php
/**
 * Compatibility with pp pro v 1.5.0.
 *
 * @link       https://www.vedathemes.com
 * @since      1.0.0
 *
 * @package    Podcast_Player
 */

namespace Podcast_Player\Backend\Inc;

/**
 * Compatibility with pp pro v 1.5.0.
 *
 * @package    Podcast_Player
 * @author     vedathemes <contact@vedathemes.com>
 */
class Compat {

	/**
	 * Holds the instance of this class.
	 *
	 * @since  1.0.0
	 * @access protected
	 * @var    object
	 */
	protected static $instance = null;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {}

	/**
	 * Register hooked functions.
	 *
	 * @since 1.0.0
	 */
	public static function init() {

		// Load plugin's bridge functionality.
		require_once PODCAST_PLAYER_DIR . '/backend/inc/compat/bridge/functions.php';
		require_once PODCAST_PLAYER_DIR . '/backend/inc/compat/bridge/class-instance-counter.php';

		// Load plugin's front-end functionality.
		require_once PODCAST_PLAYER_DIR . '/backend/inc/compat/frontend/inc/class-display.php';
		require_once PODCAST_PLAYER_DIR . '/backend/inc/compat/frontend/inc/class-feed.php';
		require_once PODCAST_PLAYER_DIR . '/backend/inc/compat/frontend/class-frontend.php';

		// Load plugin's admin functionality.
		require_once PODCAST_PLAYER_DIR . '/backend/inc/compat/backend/class-backend.php';
	}

	/**
	 * Returns the instance of this class.
	 *
	 * @since  1.0.0
	 *
	 * @return object Instance of this class.
	 */
	public static function get_instance() {

		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}

Compat::init();
