class ColorPicker {

	/**
	 * Manage Feed editor options.
	 * 
	 * @since 3.3
	 * 
	 * @param {string} id Podcast player ID. 
	 */
	constructor() {
		// Run methods.
		this.events();
	}

	// Event handling.
	events() {
		jQuery(document).on(
			'ready widget-added widget-updated',
			function() {
				const params = {
					change: function(e, ui) {
						jQuery( e.target ).val( ui.color.toString() );
						jQuery( e.target ).trigger('change'); // enable widget "Save" button
					},
					clear: function (e) {
						jQuery( e.target ).trigger('change'); // enable widget "Save" button
					},
				};
				jQuery('.pp-color-picker').not('[id*="__i__"]').wpColorPicker( params );
			}
		);
	}
}

export default ColorPicker;
